<ng-container [ngSwitch]="request?.author?.role?.name">
  <app-request-form-for-experts *ngSwitchCase="UserRolesNames.APPLICANT_EXPERT"
                                [request]="request"
                                [readonly]="true">
  </app-request-form-for-experts>
  <app-request-form-for-heads *ngSwitchCase="UserRolesNames.APPLICANT_CENTRAL_COMMISSION_HEAD"
                              [request]="request"
                              [readonly]="true">
  </app-request-form-for-heads>
  <app-request-form-for-heads *ngSwitchCase="UserRolesNames.APPLICANT_HEAD"
                              [request]="request"
                              [readonly]="true">
  </app-request-form-for-heads>
</ng-container>

<h1>{{'author' | transloco}}</h1>
<div class="columns-container">
  <section class="request-form-for-approval__section">
    <h2>{{'general_info' | transloco}}</h2>
    <p>{{request?.author?.lastName}} {{request?.author?.firstName}} {{request?.author?.patronymic}}</p>
  </section>

  <section class="request-form-for-approval__section">
    <h2>{{'passport_data' | transloco}}</h2>
    <dl>
      <dt>{{'passport_number' | transloco}}</dt>
      <dd>{{request?.author?.passport?.number}}</dd>

      <dt>{{'passport_series' | transloco}}</dt>
      <dd>{{request?.author?.passport?.series}}</dd>

      <dt>{{'passport_authority_code' | transloco}}</dt>
      <dd>{{request?.author?.passport?.authorityCode}}</dd>

      <dt>{{'passport_date_of_issue' | transloco}}</dt>
      <dd>{{request?.author?.passport?.dateOfIssue}}</dd>
    </dl>
  </section>

  <section class="request-form-for-approval__section">
    <h2>{{'contacts' | transloco}}</h2>
    <p>{{request?.author?.email}} </p>
  </section>
</div>

<div class="request-form-for-approval__buttons-container"
     *ngIf="request?.status?.status === RequestsStatuses.WAITING_FOR_APPROVAL">
  <button mat-raised-button color="accent" (click)="reject()">{{'reject' | transloco}}</button>
  <button mat-raised-button color="primary" (click)="approve()">{{'approve' | transloco}}</button>
</div>

